diff -Naur readline-4.3.orig/configure.in readline-4.3/configure.in
--- readline-4.3.orig/configure.in	Wed Feb 20 18:05:17 2002
+++ readline-4.3/configure.in	Tue Jul 15 05:05:09 2003
@@ -6,14 +6,16 @@
 dnl Process this file with autoconf to produce a configure script.
 AC_REVISION([for Readline 4.3, version 2.45, from autoconf version] AC_ACVERSION)
 
-AC_INIT(readline, 4.3, bug-readline@gnu.org)
+#AC_INIT(readline, 4.3, bug-readline@gnu.org)
+AC_INIT(readline.h)
 
 dnl make sure we are using a recent autoconf version
-AC_PREREQ(2.50)
+#AC_PREREQ(2.50)
 
-AC_CONFIG_SRCDIR(readline.h)
+#AC_CONFIG_SRCDIR(readline.h)
 AC_CONFIG_AUX_DIR(./support)
-AC_CONFIG_HEADERS(config.h)
+#AC_CONFIG_HEADERS(config.h)
+AC_CONFIG_HEADER(config.h)
 
 dnl update the value of RL_READLINE_VERSION in readline.h when this changes
 LIBVERSION=4.3
@@ -24,7 +26,8 @@
 opt_curses=no
 
 dnl arguments to configure
-AC_ARG_WITH(curses, AC_HELP_STRING([--with-curses], [use the curses library instead of the termcap library]), opt_curses=$withval)
+#AC_ARG_WITH(curses, AC_HELP_STRING([--with-curses], [use the curses library instead of the termcap library]), opt_curses=$withval)
+AC_ARG_WITH(curses, --with-curses               use the curses library instead of the termcap library,opt_curses=$withval)
 
 if test "$opt_curses" = "yes"; then
 	prefer_curses=yes
@@ -34,8 +37,8 @@
 opt_static_libs=yes
 opt_shared_libs=yes
 
-AC_ARG_ENABLE(shared, AC_HELP_STRING([--enable-shared], [build shared libraries [[default=YES]]]), opt_shared_libs=$enableval)
-AC_ARG_ENABLE(static, AC_HELP_STRING([--enable-static], [build static libraries [[default=YES]]]), opt_static_libs=$enableval)
+#AC_ARG_ENABLE(shared, AC_HELP_STRING([--enable-shared], [build shared libraries [[default=YES]]]), opt_shared_libs=$enableval)
+#AC_ARG_ENABLE(static, AC_HELP_STRING([--enable-static], [build static libraries [[default=YES]]]), opt_static_libs=$enableval)
 
 echo ""
 echo "Beginning configuration for readline-$LIBVERSION for ${host_cpu}-${host_vendor}-${host_os}"
@@ -64,7 +67,11 @@
 AC_SUBST(MAKE_SHELL)
 
 AC_C_CONST
-AC_C_PROTOTYPES
+#AC_C_PROTOTYPES
+AC_DEFINE(PROTOTYPES, 1,
+	[Define to 1 if the C compiler supports function prototypes.])
+AC_DEFINE(__PROTOTYPES, 1,
+	[Define like PROTOTYPES; this can be used by system headers.])
 AC_C_CHAR_UNSIGNED
 
 AC_TYPE_SIGNAL
@@ -93,7 +100,9 @@
 
 BASH_CHECK_GETPW_FUNCS
 
-AC_HEADER_TIOCGWINSZ
+#AC_HEADER_TIOCGWINSZ
+AC_DEFINE(GWINSZ_IN_SYS_IOCTL,1,
+	[Define to 1 if `TIOCGWINSZ' requires <sys/ioctl.h>.])
 
 BASH_TYPE_SIGHANDLER
 BASH_HAVE_TIOCSTAT
